/*
 * freetrans - display.c
 * 	version 0.0.0
 *
 * 	ncurses display support
 *
 * Copyright (C) 2005  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <freetrans.h>
#include <unistd.h>
#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <display.h>

WINDOW *rw, *sw;

static WINDOW *my_newwin(int nlines, int ncols, int begin_y, int begin_x)
{
	WINDOW *tmp = newwin(nlines, ncols, begin_y, begin_x);
	if (tmp == NULL)
		fatal("Can't create window.\n");
	return tmp;
}

int __ftd_redraw(void)
{
	move(0, 0);
	printw(" --- Receive Window ---\n");
	move(0, 0);
	move(SND_WIN, 0);
	printw(" --- Send Window ---\n");
	refresh();
	return 0;
}

int ftd_init(void)
{	
	printf("Initializing ncurses...\n");
	initscr();
	cbreak();
	noecho();
	nonl();
	halfdelay(200);

	__ftd_redraw();
	rw = my_newwin(SND_WIN - 1, COLS, 1, 0);
	sw = my_newwin(LINES - SND_WIN - 1, COLS, SND_WIN + 1, 0);
	scrollok(rw, TRUE);
	scrollok(sw, TRUE);
	keypad(sw, TRUE);
	return 0;
}
